# TextBoxMode

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the soft keyboard to display.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum TextBoxMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum TextBoxMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name        | Description                                                                                                                                                                                                                                  |
| ----------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Decimal** | Fractional numeric input keyboard containing the digits and decimal separator for the user's locale (typically . or ,). Devices may or may not show a minus key (-).                                                                         |
| **Email**   | A virtual keyboard optimized for entering email addresses. Typically includes the @ character as well as other optimizations. Inputs that require email addresses should typically use \<input type="email"> instead.                        |
| **None**    | No virtual keyboard. For when the page implements its own keyboard input control.                                                                                                                                                            |
| **Numeric** | Numeric input keyboard, but only requires the digits 0–9. Devices may or may not show a minus key.                                                                                                                                           |
| **Search**  | A virtual keyboard optimized for search input. For instance, the return/submit key may be labeled "Search", along with possible other optimizations. Inputs that require a search query should typically use \<input type="search"> instead. |
| **Tel**     | A telephone keypad input, including the digits 0–9, the asterisk (\*), and the pound (#) key. Inputs that require a telephone number should typically use \<input type="tel"> instead.                                                       |
| **Text**    | Default Value. Standard input keyboard for the user's current locale.                                                                                                                                                                        |
| **Url**     | A keypad optimized for entering URLs. This may have the / key more prominent, for example. Enhanced features could include history access and so on. Inputs that require a URL should typically use \<input type="url"> instead.             |

## Used By

| Name                                                                                                                  | Description                                                                                                                                                                                    |
| --------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [InputType.Mode](/api/wisej.web/editors/wisej.web.inputtype.md#mode)                                                  | Specifies the type of data that might be entered by the user while editing the element or its contents. See <https://developer.mozilla.org/en-US/docs/Web/HTML/Global\\_attributes/inputmode>. |
| [TextBoxExtensions.Mode](/api/wisej.web.markup/extensions/wisej.web.markup.textboxextensions.md#mode-inputtype-value) | Sets the mode of the input element.                                                                                                                                                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.textboxmode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
